<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf">
	<html>
	<body>
<div id="Menu">
		<ui:include src="HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		 	<div class="col-md-8">	

			<div class="widget">
							<div class="widget-header transparent">
								<h2>List of <strong>Trainers</strong></h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="static-table-scroll">
									<div class="table-responsive">
									<h:form>
									<div class="col-sm-4">
     							 					<h:selectOneMenu value="#{trainerBean.domain}" class="form-control"
     							 						rendered="#{not trainerBean.showForm}"> 
														<f:selectItem itemLabel="please select" />
														<f:selectItems value="#{trainerBean.domaines}" var="c"
   															itemLabel="#{c}" itemValue="#{c}" />
   													</h:selectOneMenu>
									</div>
									<div class="col-sm-4">
										<h:commandLink id="btnSearch"
														title="Search"
    													styleClass="btn btn-warning" 
    													action="#{trainerBean.rechercheByDomain()}"
    													rendered="#{not trainerBean.showForm}">
    													<i class="fa fa-search"></i>
									    </h:commandLink>
									    <h:commandLink id="btnRetablir"
														title="Retablir"
    													styleClass="btn btn-default" 
    													action="#{trainerBean.retablir()}"
    													rendered="#{not trainerBean.showForm}">
    													<i class="fa fa-close"></i>
									    </h:commandLink>
									</div>
									
									<div class="col-sm-4">
										<h:commandLink id="btnAdd"
											title="Add"
    										action="addTrainer.xhtml?faces-redirect=true" 
    										styleClass="btn btn-info" 
    										rendered="#{not trainerBean.showForm}">
    										<i class="fa fa-plus-circle"></i> Add A new Trainer
										</h:commandLink>
										
										<br></br>
									<br></br>
									</div>
										<h:dataTable class="table table-hover" value="#{trainerBean.trainers}" var="e" 
													rendered="#{not trainerBean.showForm}">
											
												<h:column id="c1">
														<f:facet name="header">
															<h:outputText value="Name" />
														</f:facet>
														<h:outputText value="#{e.name}" />
												</h:column>
				
												<h:column id="c2">
														<f:facet name="header">
															<h:outputText value="Family Name" />
														</f:facet>
														<h:outputText value="#{e.familyName}" />
												</h:column>
				
												<h:column id="c3">
														<f:facet name="header">
															<h:outputText value="Domain" />
														</f:facet>
														<h:outputText value="#{e.domain}" />
												</h:column>
												
												<h:column id="c4">
														<f:facet name="header">
															<h:outputText value="Email" />
														</f:facet>
														<h:outputText value="#{e.email}" />
												</h:column>
												
												<h:column id="c5">
														<f:facet name="header">
															<h:outputText value="Phone number" />
														</f:facet>
														<h:outputText value="#{e.phoneNumber}" />
												</h:column>
				
												  <h:column id="c6">
																<f:facet name="header">
																	<h:outputText value="Edit" />
																</f:facet>
																<div class="btn-group btn-group-xs">
					
																 <h:commandButton action="#{trainerBean.doSelect()}" value="Select"
																 	styleClass="btn btn-success">
																	<f:setPropertyActionListener value="#{e}"
																	target="#{trainerBean.trainer}"></f:setPropertyActionListener>
																</h:commandButton>
															</div>
													</h:column>
										</h:dataTable>
										<div class="col-sm-1"></div>
									<div class="col-sm-8">
									
										<h:panelGrid  
										columns = "2" 
            						    
             							width="120%"
             							rendered="#{trainerBean.showForm}">
             							
										<label style="padding:20px">Name</label>
										<h:inputText 
										style="padding:20px" 
										value="#{trainerBean.trainer.name}"  
										class="form-control"
										id="validateName" 
										  	required="true"
										  	requiredMessage="Name field is required !"/>
										<div class="col-sm-3"></div>
										<h:message 
									  		 for="validateName"
									  		 class="col-sm-7 label label-warning" />
										
										<label style="padding:20px">Family Name</label>
										<h:inputText 
											style="padding:20px" 
											value="#{trainerBean.trainer.familyName}"  
											class="form-control"
											id="validateFamilyName" 
										  	required="true"
										  	requiredMessage="FamilyName field is required !"/>
										
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateFamilyName"
									  		 class="col-sm-7 label label-warning" />
										
										
										<label style="padding:20px">Domain</label>
										<h:inputText 
											style="padding:20px" 
											value="#{trainerBean.trainer.domain}"  
											class="form-control"
												id="validateDomain" 
										  		required="true"
										  		requiredMessage="Domain field is required !"/>
									
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateDomain"
									  		 class="col-sm-7 label label-warning" />
									  		 
										<label style="padding:20px">Email</label>
										<h:inputText 
											style="padding:20px" 
											value="#{trainerBean.trainer.email}"  
											class="form-control"
										id="validateEmail" 
										  	required="true"
										  	requiredMessage="Email field is required !"
										  	validatorMessage="Email field is invalid !">
										  	<f:validateRegex pattern=".+\@.+\..+"/>
										  	</h:inputText>
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateEmail"
									  		 class="col-sm-7 label label-warning" />
										
										<label style="padding:20px">Phone number</label>
										<h:inputText 
											style="padding:20px" 
											value="#{trainerBean.trainer.phoneNumber}"  
											class="form-control"
											id="validateNumber" 
											required="true"
											requiredMessage="PhoneNumber field is required !"
											validatorMessage="PhoneNumber field is invalid !">
											<f:validateRegex pattern="^([+]?[\d]{8})?$" />
											</h:inputText>
										
										<div class="col-sm-3"></div>
									
										<h:message
									  		 for="validateNumber"
									  		 class="col-sm-7 label label-warning" />
				<br></br>
				<br></br>
				<br></br>
				
				<f:facet name="footer" >
				 <h:panelGroup style = "display:block; text-align:center;">
					<h:commandLink 
						title="Update"
						action="trainerManagement.xhtml?faces-redirect=true"
						styleClass="btn btn-primary" >
    					<i class="fa fa-refresh"></i> Update
							<f:actionListener binding="#{trainerBean.doAddTrainer()}"/>
						</h:commandLink>
						
						<h:commandLink
						title="Delete"
						action="#{trainerBean.doDeleteTrainer()}" 
						styleClass="btn btn-danger" >
    					<i class="fa fa-trash-o"></i> Delete
						</h:commandLink>
						
						<h:commandLink 
						title="Cancel"
						action="#{trainerBean.doCancel()}" 
						styleClass="btn btn-success" >
    					<i class="fa fa-close"></i> Cancel
						</h:commandLink>
						 </h:panelGroup>
				</f:facet>
			</h:panelGrid>
			</div>
										</h:form>
									</div>
								</div>
							</div>
						</div>
		  	</div>
		  </div>
		</div>
		<ui:include src="Footer.xhtml" />
		</body>
		</html>
</ui:composition>